#!/bin/bash
# Script: e17install - Install e17 cvs with libs
# Author: Steffen Wirth alias bert2002
# Date: 14.5.05
# www.pissflitsche.net/e17
clear
if [ `id -un` != root ] 
	then 
			echo "Please start the script as root"
					exit 0
fi
echo "-- e17 cvs install --"
echo "Do you want Install Enlightenment 17 from cvs? [y/n]"
read enl
case "$enl" in
'y')
	cd ~ && echo "The cvs password is empty, push only Return" && sleep 2
	cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/enlightenment login || echo "Wrong passwort, passwort is blank - restart $0"
	cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/enlightenment co e17 || echo "Error to get the source" || exit
	cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/enlightenment co misc || echo "Error to get the source" || exit
	
	echo "----------------"
	echo "Install libaries" && sleep 1
	for ilib in e17/libs/edb e17/libs/eet e17/libs/imlib2 e17/libs/imlib2_loaders e17/libs/evas e17/libs/ecore e17/libs/epeg e17/libs/epsilon e17/libs/embryo e17/libs/edje e17/libs/esmart e17/libs/emotion e17/libs/etox e17/libs/ewl e17/libs/engrave ; do
		cd ~ && cd $ilib
		./autogen.sh --libdir=/usr/lib/ && make || ./configure --libdir=/usr/lib/ && make
		make install && ldconfig
	done 
	clear
	
	echo "------------"
	echo "Install Apps" && sleep 1
	for iapps in e17/apps/iconbar e17/apps/entice e17/apps/entrance e17/apps/elicit e17/apps/e misc/engage e17/apps/erss e17/apps/e_utils e17/apps/e_modules  ; do
		cd ~ && cd $iapps
		./autogen.sh && make || ./configure
		make install && ldconfig
	done
	echo "startx /usr/local/bin/enlightenment" > /usr/local/bin/e17 && chmod a+x /usr/local/bin/e17
	clear
	echo "We Install followed libs: edb, eet, imlib2, imlib2_loaders, evas, ecore, epeg, epsilon, embryo, edje, esmart, emotion, etox, ewl ans engrave"
	echo "and the followed apps: iconbar, entice, entrance, elicit, e, engage, erss, e_utilsans e_modules"
	echo "Enlightenment has more applications, look: /root/e17/apps/ and /root/misc/ "
	echo "You can Start enlightenment with 'e17' in one tty. Please close X before xou start."

	;;
'n')
	echo "Why not? e17 is perfect."
	;;
*)
	echo "Wrong answer - restart $0"
esac